Bug 108788 - Deletion up to MAXCOL or MAXROW needs to handle UpdateReference
Summary: Deletion up to MAXCOL or MAXROW needs to handle UpdateReference
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-26 11:52 UTC by Eike Rathke
Modified: 2017-06-28 22:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2017-06-26 11:52:30 UTC
Including the last column or row when deleting columns or rows needs to call UpdateReference as well, which it currently doesn't, as there may be named expressions or other references that could need to be invalidated. The special case here is that there are no following columns or rows that are shifted towards the deleted range, making the next column "virtually non-existent" so routines updating may have to handle that specifically.
Comment 1 Commit Notification 2017-06-26 15:34:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9b91268635859be3aba841fe1ea142e82a93254

assert( nStartCol + nSize <= MAXCOL+1 ); tdf#108788 prep

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-06-27 13:05:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a962f1465a8db9b6c4dfdfd8fef9141f07d7fd06

Resolves: tdf#108788 update references for deletions at end of sheet

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-06-27 13:33:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16e625c92f73eae7b95c788e2545d01dc9b05680

Sticky here means we can bail out early, tdf#108788 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-27 14:18:19 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7567074894a7ad48a82ea35eead51bac9fafa19b

Unit test for update reference in deletion of last col/row, tdf#108788

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 m.a.riosv 2017-06-28 22:36:47 UTC
Tested
Version: 6.0.0.0.alpha0+
Build ID: 9f3814af7264ce90685a82cbf4eb015a38f22bf7
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-28_00:47:42
Locale: es-ES (es_ES); Calc: group